summaryrefslogtreecommitdiffstats
path: root/debian/dpkg.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 00:45:21 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 00:45:21 +0000
commitb3e64bc4a36b1150b6e6de6ad7b966dfd98b1d4d (patch)
treefbba61f0870404ee20c06c4fcafcb01b74f478a9 /debian/dpkg.postinst
parentAdding upstream version 1.19.8. (diff)
downloaddpkg-b3e64bc4a36b1150b6e6de6ad7b966dfd98b1d4d.tar.xz
dpkg-b3e64bc4a36b1150b6e6de6ad7b966dfd98b1d4d.zip
Adding debian version 1.19.8.debian/1.19.8debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/dpkg.postinst')
-rwxr-xr-xdebian/dpkg.postinst46
1 files changed, 46 insertions, 0 deletions
diff --git a/debian/dpkg.postinst b/debian/dpkg.postinst
new file mode 100755
index 0000000..7b2582d
--- /dev/null
+++ b/debian/dpkg.postinst
@@ -0,0 +1,46 @@
+#!/bin/sh
+# See deb-postinst(5).
+
+set -e
+
+# Create the database files if they don't already exist
+create_database() {
+ admindir=${DPKG_ADMINDIR:-/var/lib/dpkg}
+
+ for file in diversions statoverride status; do
+ if [ ! -f "$admindir/$file" ]; then
+ touch "$admindir/$file"
+ fi
+ done
+}
+
+
+# Create log file and set default permissions if possible
+create_logfile() {
+ logfile=$DPKG_ROOT/var/log/dpkg.log
+
+ if [ ! -f "$logfile" ]; then
+ touch "$logfile"
+ chmod 644 "$logfile"
+ chown root:root "$logfile" 2>/dev/null || chown 0:0 "$logfile"
+ fi
+}
+
+
+case "$1" in
+ configure)
+ create_database
+ create_logfile
+ ;;
+
+ abort-upgrade|abort-deconfigure|abort-remove)
+ ;;
+
+ *)
+ echo "$0 called with unknown argument '$1'" 1>&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+exit 0